### Method

# Vips Image dECMC

#### Declaration [src]

    int
    vips_dECMC (
      VipsImage* left,
      VipsImage* right,
      VipsImage** out,
      ...
    )

#### Description [src]

Calculate dE CMC. The input images are transformed to CMC colour space and the euclidean distance between corresponding pixels calculated.

To calculate a colour difference with values for (l:c) other than (1:1), transform the two source images to CMC yourself, scale the channels appropriately, and call this function.

See also

`vips_colourspace()`.

This method is not directly available to language bindings.

#### Parameters

`right`

  Type: `VipsImage`

  Second input image.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.